#
# spec file for package newt (Version 0.51.6)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  popt python python-devel slang slang-devel tcl tcl-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl popt-devel python python-devel rpm slang slang-devel tcl tcl-devel

Name:         newt
Summary:      Nifty Erik's Windowing Toolkit
Version:      0.51.6
Release:      0.1
License:      GPL
Group:        System/Libraries
Source:       newt-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     slang
%package devel
Summary:      Development Kit for newt
Provides:     newtd
Requires:     slang
Group:        Development/Libraries/C and C++
Obsoletes:    newtd

%description
Newt is a programming library for color text mode, widget based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars, etc.,
to text mode user interfaces.



Authors:
--------
    Erik Troan <ewt@redhat.com>

%define py_ver %(python -c 'import sys; print sys.version[:3];')

%description devel
The newd package contains the header files and libraries necessary for
developing applications which use newt.  Newt is a development library
for text mode user interfaces.	Newt is based on the slang library.



Authors:
--------
    Erik Troan <ewt@redhat.com>

%prep
%setup

%build
./configure --prefix=/usr --libdir=/usr/%_lib --with-gpm-support 
make pythonversion=%{py_ver}
make shared pythonversion=%{py_ver}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make instroot=$RPM_BUILD_ROOT install pythonversion=%{py_ver}
make instroot=$RPM_BUILD_ROOT install-sh  pythonversion=%{py_ver}
/sbin/ldconfig -N -r $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc CHANGES COPYING
/usr/bin/whiptail
/usr/%_lib/libnewt.so.*
/usr/%_lib/python/site-packages/_snackmodule.so
/usr/%_lib/python/site-packages/snack.py
/usr/%_lib/python%{py_ver}/site-packages/_snackmodule.so
/usr/%_lib/python%{py_ver}/site-packages/snack.py

%files devel
%defattr (-,root,root)
%doc tutorial.sgml
/usr/include/newt.h
/usr/%_lib/libnewt.a
/usr/%_lib/libnewt.so

%changelog -n newt
* Wed Jun 02 2004 - ro@suse.de
- get rid of some compiler warnings
* Thu Feb 26 2004 - hmacht@suse.de
- building as non-root
* Tue Feb 24 2004 - cwh@suse.de
- added soname link to package
* Mon Sep 15 2003 - cwh@suse.de
- removed wrong "Provides: snack" from spec-file
* Wed Aug 20 2003 - ro@suse.de
- expand filelist
- fix lib64 issues
* Wed Aug 20 2003 - cwh@suse.de
- fixed to compile with tcl8.4
* Tue Jan 16 2001 - schwab@suse.de
- Fix missing -fPIC in Makefile.
- Fix use of varargs.
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Wed Nov 29 2000 - smid@suse.cz
- subpackage renamed: newtd => newt-devel
* Fri Nov 24 2000 - ro@suse.de
- fixes for 2.0-python
* Sun Oct 29 2000 - kukuk@suse.de
- Add python-devel to need for build
* Mon May 22 2000 - smid@suse.cz
- fixed to compile with tcl8.3
* Wed May 10 2000 - nadvornik@suse.cz
- update to 0.50.8
- added BuildRoot
* Mon Jan 17 2000 - nashif@suse.de
- Initial Release ( Version 0.50)
